Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deTHashString< T > Class Template Reference

`#include <deHash.hpp>`

Inheritance diagram for deTHashString< T >:

[legend]
Collaboration diagram for deTHashString< T >:

[legend]
List of all members.

## Public Member Functions
| deTHashString (DWORD size)
| ~deTHashString ()
DWORD | Length ()
T * | AddElement (const T &element, const char *string)
T * | FindElement (const char *string, DWORD *Index=(0)) const
deBoolean | RemoveElement (const char *string)
void | GetAllElements (deTArray< T * > &array)
void | RemoveAllElements ()
void | operator= (const deTHashString< T > &ref)
T * | operator[] (const char *string)
## Private Member Functions
T * | FindElement (const char *string, HashNode *&Node, DWORD *Index) const
DWORD | HashString (const char *string) const
## Private Attributes
DWORD | m_ElementNum
const DWORD | m_HashSize
deTArray< HashNode * > | m_Elements

### template<class T>
class deTHashString< T >

## Constructor & Destructor Documentation

template<class T>
deTHashString< T >::deTHashString | ( | DWORD | size | ) | `[inline]`

template<class T>
deTHashString< T >::~deTHashString | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T>
T* deTHashString< T >::AddElement | ( | const T & | element,
|  | const char * | string
| ) | `[inline]`

template<class T>
T* deTHashString< T >::FindElement | ( | const char * | string,
|  | HashNode *& | Node,
|  | DWORD * | Index
| ) | const`[inline, private]`

template<class T>
T* deTHashString< T >::FindElement | ( | const char * | string,
|  | DWORD * | Index = (0)
| ) | const`[inline]`

template<class T>
void deTHashString< T >::GetAllElements | ( | deTArray< T * > & | array | ) | `[inline]`

template<class T>
DWORD deTHashString< T >::HashString | ( | const char * | string | ) | const`[inline, private]`

template<class T>
DWORD deTHashString< T >::Length | ( |  | ) | `[inline]`

template<class T>
void deTHashString< T >::operator= | ( | const deTHashString< T > & | ref | ) | `[inline]`

template<class T>
T* deTHashString< T >::operator[] | ( | const char * | string | ) | `[inline]`

template<class T>
void deTHashString< T >::RemoveAllElements | ( |  | ) | `[inline]`

template<class T>
deBoolean deTHashString< T >::RemoveElement | ( | const char * | string | ) | `[inline]`

## Member Data Documentation

template<class T>
DWORD deTHashString< T >::m_ElementNum`[private]`

template<class T>
deTArray<HashNode*> deTHashString< T >::m_Elements`[private]`

template<class T>
const DWORD deTHashString< T >::m_HashSize`[private]`

The documentation for this class was generated from the following file:

- deHash.hpp